Skip to main content
`Ctrl`+`K`

# EPSPowerGetSignNormalization

Returns a flag indicating whether the \(Bx\) vector is normalized by the sign of the first non-zero element in the vector. E.g., if this is true, the post-normalization value of the first non-zero element in the vector is guaranteed to be positive.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerGetSignNormalization(EPS eps,PetscBool *sign_normalization)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- sign_normalization - the sign normalization flag

## See Also

EPS: Eigenvalue Problem Solver, `EPSPOWER`, `EPSPowerSetSignNormalization()`

## Level

advanced

## Location

src/eps/impls/power/power.c

## Implementations

EPSPowerGetSignNormalization_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages